% * 1 um Level 3 models from the CMOS Circuit Design, Layout, and
% * Simulation, Second Edtion, see cmosedu.com
% *
% * LTspice uses actual sizes (not scaled lengths and widths)
% * Vdd=5V
%                                                                      
% .MODEL N_1u NMOS LEVEL  = 3 

function m = N1u()

m.name = 'N_1u';
m.TOX    = 200E-10;
m.NSUB   = 1E17;
m.GAMMA  = 0.5;          
m.PHI    = 0.7;            
m.VTO    = 0.8;
m.DELTA  = 3.0;         
m.UO     = 650;
m.ETA    = 3.0E-6;
m.THETA  = 0.1;         
m.KP     = 120E-6;
m.VMAX   = 1E5;
m.KAPPA  = 0.3;                
m.RSH    = 0;
m.NFS    = 1E12;
m.TPG    = 1;                 
m.XJ     = 500E-9;
m.LD     = 100E-9;                 
m.CGDO   = 200E-12;
m.CGSO   = 200E-12;
m.CGBO   = 1E-10;              
m.CJ     = 400E-6;
m.PB     = 1;
m.MJ     = 0.5;           
m.CJSW   = 300E-12;
m.MJSW   = 0.5;                                  
% *                                                                               
% .MODEL P_1u PMOS LEVEL  = 3                  
% + TOX    = 200E-10         NSUB   = 1E17            GAMMA  = 0.6          
% + PHI    = 0.7             VTO    = -0.9            DELTA  = 0.1          
% + UO     = 250             ETA    = 0               THETA  = 0.1         
% + KP     = 40E-6           VMAX   = 5E4             KAPPA  = 1         
% + RSH    = 0               NFS    = 1E12            TPG    = -1                 
% + XJ     = 500E-9          LD     = 100E-9               
% + CGDO   = 200E-12         CGSO   = 200E-12         CGBO   = 1E-10              
% + CJ     = 400E-6          PB     = 1               MJ     = 0.5                
% + CJSW   = 300E-12         MJSW   = 0.5   
